VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::system::TimeTypes::SystemTimeStruct Class Reference

`Time.SystemTimeStruct` class Structure representing the system time. More...

List of all members.

## Public Member Functions
| SystemTimeStruct ()
| Creates a default new instance.
double | GetSecondsSinceEpoch ()
| seconds since the epoch
void | SetSecondsSinceEpoch (double secondsSinceEpoch)
| seconds since the epoch
string | GetDate ()
| date format: Thu 07-31-2014
void | SetDate (string date)
| date format: Thu 07-31-2014
string | GetTime ()
| time format: 18:18:32
void | SetTime (string time)
| time format: 18:18:32
string | GetTimezone ()
| timezone
void | SetTimezone (string timezone)
| timezone
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Time.SystemTimeStruct` class Structure representing the system time.

## Constructor & Destructor Documentation

vmware::appliance::system::TimeTypes::SystemTimeStruct::SystemTimeStruct | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::system::TimeTypes::SystemTimeStruct::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::system::TimeTypes::SystemTimeStruct::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::system::TimeTypes::SystemTimeStruct::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::system::TimeTypes::SystemTimeStruct::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::system::TimeTypes::SystemTimeStruct::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::system::TimeTypes::SystemTimeStruct::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::system::TimeTypes::SystemTimeStruct::GetDate | ( |  | ) | `[inline]`

date format: Thu 07-31-2014

override int vmware::appliance::system::TimeTypes::SystemTimeStruct::GetHashCode | ( |  | ) | `[inline]`

double vmware::appliance::system::TimeTypes::SystemTimeStruct::GetSecondsSinceEpoch | ( |  | ) | `[inline]`

seconds since the epoch

string vmware::appliance::system::TimeTypes::SystemTimeStruct::GetTime | ( |  | ) | `[inline]`

time format: 18:18:32

string vmware::appliance::system::TimeTypes::SystemTimeStruct::GetTimezone | ( |  | ) | `[inline]`

timezone

void vmware::appliance::system::TimeTypes::SystemTimeStruct::SetDate | ( | string | date | ) | `[inline]`

date format: Thu 07-31-2014

void vmware::appliance::system::TimeTypes::SystemTimeStruct::SetSecondsSinceEpoch | ( | double | secondsSinceEpoch | ) | `[inline]`

seconds since the epoch

void vmware::appliance::system::TimeTypes::SystemTimeStruct::SetTime | ( | string | time | ) | `[inline]`

time format: 18:18:32

void vmware::appliance::system::TimeTypes::SystemTimeStruct::SetTimezone | ( | string | timezone | ) | `[inline]`

timezone

override string vmware::appliance::system::TimeTypes::SystemTimeStruct::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- TimeTypes.cs